GIT-NAME-REV(1)

NAME
git-name-rev - Find symbolic names for given revs

SYNOPSIS
git-name-rev [--tags] ( --all | --stdin | <committish>... ).sp

DESCRIPTION
Finds symbolic names suitable for human digestion for revisions given in any format parsable by git-rev-parse..sp

OPTIONS

--tags
    Do not use branch names, but only tags to name the commits

--all
    List all commits reachable from all refs

--stdin
    Read from stdin, append "(<rev_name>)" to all sha1's of name'able commits, and pass to stdout

EXAMPLE
Given a commit, find out where it is relative to the local refs. Say somebody wrote you about that phantastic commit 33db5f4d9027a10e477ccf054b2c1ab94f74c85a. Of course, you look into the commit, but that only tells you what happened, but not the context..sp Enter git-name-rev:.sp

    % git name-rev 33db5f4d9027a10e477ccf054b2c1ab94f74c85a
    33db5f4d9027a10e477ccf054b2c1ab94f74c85a tags/v0.99^0~940
Now you are wiser, because you know that it happened 940 revisions before v0.99..sp Another nice thing you can do is:.sp

    % git log | git name-rev --stdin

AUTHOR
Written by Johannes Schindelin <Johannes.Schindelin@gmx.de>.sp

DOCUMENTATION
Documentation by Johannes Schindelin..sp

GIT
Part of the git(7) suite.sp